src/main/java/com/exabit/polariserp/tvmax/funcionarios/CargoMB.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.exabit.polariserp.tvmax.funcionarios;

import com.exabit.polariserp.tvmax.entidades.Cargo;
import com.exabit.polariserp.tvmax.sesbeans.CargoFacade;
import com.google.gson.Gson;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author gemacron
 */
@ManagedBean(name = "cargo")
@SessionScoped
public class CargoMB implements Serializable {

    private List<Cargo> listadecargos = new ArrayList<>();

    private String idcargo;
    private String nombre;
    
    @EJB
    private CargoFacade cargoFacade;
    public String seleccionCargoIDJson;

    public String getSeleccionCargoIDJson() {
        return seleccionCargoIDJson;
    }

    public void setSeleccionCargoIDJson(String seleccionCargoIDJson) {
        this.seleccionCargoIDJson = seleccionCargoIDJson;
    }
    
    public String getIdcargo() {
        return idcargo;
    }

    public void setIdcargo(String idcargo) {
        this.idcargo = idcargo;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    private Cargo cargo_temp = new Cargo();

    public Cargo getCargo_temp() {
        return cargo_temp;
    }

    public void setCargo_temp(Cargo cargo_temp) {
        this.cargo_temp = cargo_temp;
    }

    public List<Cargo> mostrarCargos() {
        return cargoFacade.findAll();
    }

    public void registrarCargo() {
        this.cargoFacade.create(cargo_temp);
    }

    public List<Cargo> listadeCargos() {
        return cargoFacade.findAll();
    }

    public void modificarCargo()  {
        Cargo contenedorcargo = new Cargo();
        contenedorcargo.setIdcargo(cargo_temp.getIdcargo());
        contenedorcargo.setNombre(cargo_temp.getNombre());
        this.cargoFacade.edit(contenedorcargo);
    }
    
        public void eliminarCargos() {
        Gson gson = new Gson();
        Integer idEliminar = gson.fromJson(this.seleccionCargoIDJson, Integer.class);
        this.cargoFacade.remove(this.cargoFacade.find(idEliminar));
        
    }
}

src/main/java/com/exabit/polariserp/tvmax/funcionarios/FuncionarioManBean.java
package com.exabit.polariserp.tvmax.funcionarios;

import com.exabit.polariserp.tvmax.entidades.Cargo;
import com.exabit.polariserp.tvmax.entidades.Funcionario;
import com.exabit.polariserp.tvmax.sesbeans.CargoFacade;
import com.exabit.polariserp.tvmax.sesbeans.FuncionarioFacade;
import com.google.gson.Gson;
import java.io.Serializable;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.EJB;
import javax.inject.Named;
import javax.faces.view.ViewScoped;
import org.apache.commons.codec.digest.DigestUtils;

/**
 *
 * @author traver
 */
@Named(value = "funcionarioManBean")
@ViewScoped
public class FuncionarioManBean implements Serializable {

    private static final Logger LOG = Logger.getLogger(FuncionarioManBean.class.getName());

    //<editor-fold desc="EJBs" defaultstate="collapsed">
    @EJB
    private FuncionarioFacade funcionarioFacade;
    @EJB
    private CargoFacade cargoFacade;
    //</editor-fold>

    //<editor-fold desc="Properties" defaultstate="collapsed">
    private Integer idfuncionario;
    private String nombres;
    private String apellidos;
    private Integer idcargo;
    private String telefono1;
    private String telefono2;
    private String password;
    private Integer ci;
    private boolean activo = false;
    private String jsonSelecionFuncionario;
    private String tipoMsg;
    private String cabeceraMsg;
    private String cuerpoMsg;
    private String busqueda = "";
    //</editor-fold> 

    //<editor-fold desc="Getters and Setters" defaultstate="collapsed">
    public String getBusqueda() {
        return busqueda;
    }

    public void setBusqueda(String busqueda) {
        this.busqueda = busqueda;
    }

    public String getCuerpoMsg() {
        return cuerpoMsg;
    }

    public void setCuerpoMsg(String cuerpoMsg) {
        this.cuerpoMsg = cuerpoMsg;
    }

    public String getCabeceraMsg() {
        return cabeceraMsg;
    }

    public void setCabeceraMsg(String cabeceraMsg) {
        this.cabeceraMsg = cabeceraMsg;
    }

    public String getTipoMsg() {
        return tipoMsg;
    }

    public void setTipoMsg(String tipoMsg) {
        this.tipoMsg = tipoMsg;
    }

    public String getJsonSelecionFuncionario() {
        return jsonSelecionFuncionario;
    }

    public void setJsonSelecionFuncionario(String jsonSelecionFuncionario) {
        this.jsonSelecionFuncionario = jsonSelecionFuncionario;
    }

    public boolean getActivo() {
        return activo;
    }

    public void setActivo(boolean activo) {
        this.activo = activo;
    }

    public Integer getCi() {
        return ci;
    }

    public void setCi(Integer ci) {
        this.ci = ci;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getIdcargo() {
        return idcargo;
    }

    public void setIdcargo(Integer idcargo) {
        this.idcargo = idcargo;
    }

    public Integer getIdfuncionario() {
        return idfuncionario;
    }

    public void setIdfuncionario(Integer idfuncionario) {
        this.idfuncionario = idfuncionario;
    }

    public String getNombres() {
        return nombres;
    }

    public void setNombres(String nombres) {
        this.nombres = nombres;
    }

    public String getApellidos() {
        return apellidos;
    }

    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }

    public String getTelefono1() {
        return telefono1;
    }

    public void setTelefono1(String telefono1) {
        this.telefono1 = telefono1;
    }

    public String getTelefono2() {
        return telefono2;
    }

    public void setTelefono2(String telefono2) {
        this.telefono2 = telefono2;
    }
    //</editor-fold>

    /**
     * Creates a new instance of FuncionarioManBean
     */
    public FuncionarioManBean() {
    }

    public List<Funcionario> getLstFuncionarios() {
        if (this.busqueda.isEmpty()) {
            return funcionarioFacade.findAll();
        } else {
            return funcionarioFacade.buscarFuncionarios(this.busqueda);
        }
    }

    public List<Cargo> getLstCargos() {
        return this.cargoFacade.findAll();
    }

    public void guardarFuncionario() {
        try {
            System.out.println("Guardar func: " + this.idfuncionario + " " + this.nombres + " " + this.apellidos + " " + this.ci + " " + this.telefono1 + " " + this.telefono2 + " " + this.activo + " " + this.password);
            Funcionario f;
            if (this.idfuncionario == null) {
                f = new Funcionario();
            } else {
                f = this.funcionarioFacade.find(this.idfuncionario);
            }
            f.setIdfuncionario(this.idfuncionario);
            f.setNombres(this.nombres);
            f.setApellidos(this.apellidos);
            f.setCi(this.ci);
            f.setCargo(this.cargoFacade.find(this.idcargo));
            f.setTelefono1(this.telefono1);
            f.setTelefono2(this.telefono2);
            f.setActivo(this.activo);
            if (!this.password.isEmpty()) {
                f.setPassword(DigestUtils.sha256Hex(this.password));
            }
            if (f.getIdfuncionario() == null) {
                this.funcionarioFacade.create(f);
                this.idfuncionario=f.getIdfuncionario();
            } else {
                this.funcionarioFacade.edit(f);
            }
            this.tipoMsg = "info";
            this.cabeceraMsg = "Éxito";
            this.cuerpoMsg = "Funcionario guardado correctamente.";
        } catch (Exception ex) {
            LOG.log(Level.SEVERE, "Error al guardar funcionario", ex);
            this.tipoMsg = "negative";
            this.cabeceraMsg = "Error al guardar funcionario";
            this.cuerpoMsg = ex.getMessage();
        }
    }

    public void eliminarFuncionario() {
        System.out.println("Eliminar: " + this.jsonSelecionFuncionario);
        try {
            Gson gson = new Gson();
            Integer[] ids = gson.fromJson(this.jsonSelecionFuncionario, Integer[].class);
            for (Integer id : ids) {
                this.funcionarioFacade.remove(this.funcionarioFacade.find(id));
            }
            this.tipoMsg = "info";
            this.cabeceraMsg = "Éxito";
            this.cuerpoMsg = "Funcionarios eliminados correctamente.";
        } catch (Exception ex) {
            LOG.log(Level.SEVERE, "Error al eliminar", ex);
            this.tipoMsg = "negative";
            this.cabeceraMsg = "Error al eliminar";
            this.cuerpoMsg = ex.getMessage();
        }
    }

    public void cargarDatos() {
        System.out.println("Cargar datos: " + this.idfuncionario);
        Funcionario f = this.funcionarioFacade.find(this.idfuncionario);
        this.nombres = f.getNombres();
        this.apellidos = f.getApellidos();
        this.ci = f.getCi();
        this.idcargo = f.getCargo().getIdcargo();
        this.telefono1 = f.getTelefono1();
        this.telefono2 = f.getTelefono2();
        this.activo = f.getActivo();
        this.password = "";
    }

    public void limpiarDatos() {
        this.idfuncionario = null;
        this.nombres = null;
        this.apellidos = null;
        this.ci = null;
        this.telefono1 = null;
        this.telefono2 = null;
        this.idcargo = null;
        this.password = null;
        this.activo = false;
    }

    public void filtrar() {
        System.out.println("filtrar: " + this.busqueda);
    }

}

src/main/webapp/funcionario/cargo.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <ui:define name="contenido">
        
        <script>
            $(document).ready(function () {
                limpiarForm();
                desactivarBoton();
                $('#div-btn-nuevo').click(function () {
                    limpiarForm();
                    desactivarBoton();
                });
                $('#div-btn-elim').click(function () {
                    $('#dlg-conf-elim').modal('show');
                });
                $('#btn-agre').click(function () {
                    $('#form #msg').show();
                });
                $("#txtBuscar").keyup(function () {
                    if ($(this).val() !== "") {
                        $("#tablacargo tbody>tr").hide();
                        $("#tablacargo td:contains-ci('" + $(this).val() + "')").parent("tr").show();
                    } else {
                        $("#tablacargo tbody>tr").show();
                    }
                });
            });

            function limpiarForm() {
                $('#form #id-id').val("");
                $('#form #idnombre').val("");
                limpiarErrores();
            }
            function limpiarErrores() {
                $('#form').find('.ui.error.message ul').remove();
                $('#form').find('.error').removeClass('error').find('.prompt').remove();
                $('#form #msg').hide();
            }
            function desactivarBoton() {
                $('#btnactualizar').hide();
                $('#div-btn-elim').hide();
                $('#div-btn-nuevo').hide();
                $('#btn-agre').show();
            }
            function activarBoton() {
                $('#btnactualizar').show();
                $('#div-btn-elim').show();
                $('#div-btn-nuevo').show();
                $('#btn-agre').hide();
            }
            $.extend($.expr[":"], {
                "contains-ci": function (elem, i, match, array) {
                    return (elem.textContent || elem.innerText || $(elem).text() || "").toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
                }
            });
        </script>
        <h2 class="ui header">CARGO</h2>
        <div class="ui secondary menu">
            <div class="fitted item">
                <div id="div-btn-nuevo" class="ui green button">
                    <i class="file icon"/>
                    Nuevo
                </div>
            </div>
            <div class="fitted item">
                <div id="div-btn-elim" class="ui red button">
                    <i class="trash icon"/>
                    Eliminar
                </div>
            </div>
        </div>
        <div class="ui grid">
            <div class="eleven wide column">
                <div class="ui fluid icon input">
                    <input id="txtBuscar" class="prompt" placeholder="Buscar Cargo..." type="text"/>
                    <i class="search icon"></i>
                </div>

                <table id="tablacargo" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Cargo</th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{cargo.listadeCargos()}" var="carg">
                            <tr id="#{carg.idcargo}">
                                <td>#{carg.idcargo}</td>
                                <td>#{carg.nombre}</td>
                            </tr>
                            <script>
                                $(document).ready(function () {
                                    limpiarForm();
                                    desactivarBoton();
                                    $("##{carg.idcargo} td").click(function (evento) {
                                        $('.active').removeClass('active');
                                        $("##{carg.idcargo} td").addClass('active');
                                        var target = $('.active').hasClass('active');
                                        if (target === true) {
                                            $('#form #id-id').val("#{carg.idcargo}");
                                            $('#form #idnombre').val("#{carg.nombre}");
                                            var id = $("##{carg.idcargo}").attr("id");
                                            var jsonselect = JSON.stringify(id);
                                            $('#selbar').val(jsonselect);
                                            activarBoton();
                                            limpiarForm();
                                        }
                                    });
                                });
                            </script>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
            <div class="five wide column">
                <form jsf:id="form" jsf:prependId="false" class="ui form">
                    <div class="disabled field">
                        <label>Id</label>
                        <input type="text" placeholder="Id" jsf:id="id-id" jsf:value="#{cargo.cargo_temp.idcargo}"/>
                    </div>
                    <div class="field">
                        <label>Nombres</label>
                        <input type="text" jsf:id="idnombre" name="idnombre" placeholder="Nombres" jsf:value="#{cargo.cargo_temp.nombre}"/>
                    </div>
                    <button  class="ui primary button" jsf:id="btnactualizar" jsf:action="#{cargo.modificarCargo()}" >
                        <i class="save icon" />
                        Actualizar
                    </button>
                    <button  class="ui primary button" jsf:id="btn-agre" jsf:action="#{cargo.registrarCargo()}" >
                        <i class="add circle icon" />
                        Agregar
                    </button>
                    <div id="msg" class="ui error message">
                    </div>
                </form>
                <h:form id="dlg-conf-elim" class="ui basic modal">
                    <input name="selbar" id="selbar" type="hidden" jsf:value="#{cargo.seleccionCargoIDJson}"/>
                    <div class="ui icon header">
                        <i class="trash icon"></i>
                        Eliminar Cargo
                    </div>
                    <div class="centered content">
                        <p>¿Desea eliminar  el Cargo?</p>
                    </div>
                    <div class="actions">
                        <button jsf:action="#{cargo.eliminarCargos()}" class="ui green ok inverted button">
                            <i class="checkmark icon"></i>
                            Sí
                        </button>
                        <div class="ui red basic cancel inverted button">
                            <i class="remove icon"></i>
                            No
                        </div>
                    </div>
                </h:form>
                <script>
                    $('.ui.form')
                            .form({
                                fields: {
                                    idnombre: {
                                        rules: [
                                            {
                                                type: 'empty',
                                                prompt: '{name} No puede estar vacío'
                                            }
                                        ]
                                    }
                                }});

                </script>
            </div>
        </div>
    </ui:define>
</ui:composition>

src/main/webapp/funcionario/funcionario.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

    <ui:define name="contenido">
        <h:form prependId="false" class="ui menu" >
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="user icon" />
                    Funcionarios
                </div>
            </div>
            <div class="right menu">
                <div class="ui right aligned category search item">
                    <div class="ui transparent icon input">
                        <h:inputText id="in-busqueda" value="#{funcionarioManBean.busqueda}" class="prompt" pt:placeholder="Buscar..." />
                        <i class="search icon" />
                    </div>
                    <h:commandLink id="cml-buscar" action="#{funcionarioManBean.filtrar()}" style="display: none;">
                        <f:ajax execute="@this in-busqueda" render="tablafuncionario" />
                    </h:commandLink>
                </div>
                <div class="item">
                    <div id="btnEliminar" style="display: none;" class="ui red icon button" onclick="mostrarModalEliminacion();" data-tooltip="Eliminar seleccionados" data-inverted="" data-position="bottom right">
                        <i class="trash icon" />
                    </div>
                    <div class="ui green icon button" onclick="limpiarCampos()" style="margin-left: 5px;" data-tooltip="Nuevo funcionario" data-inverted="" data-position="bottom right">
                        <i class="add icon" />
                    </div>
                </div>
            </div>
        </h:form>
        <div class="ui grid">
            <div class="eleven wide column">
                <table jsf:id="tablafuncionario" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th class="collapsing" onclick="seleccionarTodo()">
                                <div  class="ui fitted checkbox">
                                    <input type="checkbox" id="chk-gral"/>
                                    <label/>
                                </div>
                            </th>
                            <th class="collapsing">Cód.</th>
                            <th>Nombres</th>
                            <th>Apellidos</th>
                            <th>Telefono</th>
                            <th>Cargo</th>
                            <th>CI</th>
                            <th class="collapsing"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr jsf:rendered="#{empty funcionarioManBean.lstFuncionarios}">
                            <td class="center aligned disabled" colspan="7">(Ningún funcionario)</td>
                        </tr>
                        <ui:repeat value="#{funcionarioManBean.lstFuncionarios}" var="func">
                            <tr id="rw-#{func.idfuncionario}" style="cursor: pointer">
                                <td onclick="agregarSeleccion(#{func.idfuncionario})">
                                    <div  class="ui fitted checkbox">
                                        <input type="checkbox" id="chk-#{func.idfuncionario}"/>
                                        <label/>
                                    </div>
                                </td>
                                <td id="col-idfunc-#{func.idfuncionario}" onclick="seleccionUnica(#{func.idfuncionario})">#{func.idfuncionario}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.nombres}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.apellidos}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.telefono1}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.cargo.nombre}</td>
                                <td class="right aligned" onclick="seleccionUnica(#{func.idfuncionario})">
                                    <h:outputText value="#{func.ci}">
                                        <f:convertNumber pattern="#,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <span data-tooltip="#{func.activo?'Activo':'Inactivo'}" data-inverted="">
                                        <i class="#{func.activo?'green checkmark icon':'black minus icon'}" />
                                    </span>
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
            <div class="five wide column">
                <h:form id="form" prependId="false" class="ui form">
                    <div class="field">
                        <label>Código</label>
                        <h:inputText pt:placeholder="Código" id="in-idfuncionario" value="#{funcionarioManBean.idfuncionario}" pt:readonly=""/>
                    </div>
                    <div class="fields">
                        <div id="fieldNombres" class="required eight wide field">
                            <label>Nombres</label>
                            <h:inputText id="in-nombres" pt:placeholder="Ej: Juan" value="#{funcionarioManBean.nombres}" />
                        </div>
                        <div id="fieldApellidos" class="eight wide field">
                            <label>Apellidos</label>
                            <h:inputText id="in-apellidos" pt:placeholder="Ej: Perez" value="#{funcionarioManBean.apellidos}" />
                        </div>
                    </div>
                    <div id="fieldCargo" class="required field">
                        <label>Cargo</label>
                        <div id="cmbCargo" class="ui selection dropdown">
                            <h:inputHidden id="in-idcargo" value="#{funcionarioManBean.idcargo}" />
                            <i class="dropdown icon" />
                            <div class="default text">Cargo</div>
                            <div class="menu">
                                <ui:repeat  value="#{funcionarioManBean.lstCargos}" var="cargo">
                                    <div class="item" data-value="#{cargo.idcargo}">#{cargo.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div class="fields">
                        <div class="eight wide field">
                            <label>Telefono</label>
                            <h:inputText id="in-telefono1" pt:placeholder="Ej: 0971999666" value="#{funcionarioManBean.telefono1}"/>
                        </div>
                        <div class="eight wide field">
                            <label>Telefono 2</label>
                            <h:inputText id="in-telefono2" pt:placeholder="Ej: 0971999666" value="#{funcionarioManBean.telefono2}"/>
                        </div>
                    </div>
                    <div class="field">
                        <label>Documento</label>
                        <h:inputText id="in-ci" pt:placeholder="Ej: 4111222" value="#{funcionarioManBean.ci}" />
                    </div>
                    <div class="field">
                        <label>Contraseña</label>                        
                    </div>
                    <div class="fields">
                        <div id="fieldPassword" class="eight wide field">
                            <h:inputSecret id="in-pass" pt:placeholder="Contraseña" value="#{funcionarioManBean.password}"/>
                        </div>
                        <div id="fieldPassword2" class="eight wide field">
                            <input type="password" id="in-pass2" placeholder="Confirmar contraseña"/>
                        </div>
                    </div>
                    <div class="field">
                        <div class="ui checkbox">
                            <input jsf:id="in-estado" type="checkbox" jsf:value="#{funcionarioManBean.activo}"/>
                            <label>Activo</label>
                        </div> 
                    </div>
                    <div class="field">
                        <h:commandLink id="btnGuardar" onclick="return validar();" action="#{funcionarioManBean.guardarFuncionario()}" class="ui right labeled blue icon button">
                            Guardar
                            <i class="save icon" />
                            <f:ajax execute="@form" render="tipoMsg cabeceraMsg cuerpoMsg tablafuncionario in-idfuncionario" onevent="function(data){ajaxGuardarFuncionario(data)}" />
                        </h:commandLink>
                        <h:commandLink style="display: none" id="cml-cargardatos" action="#{funcionarioManBean.cargarDatos()}">
                            <f:ajax execute="@this in-idfuncionario" render="@form" onevent="function(data){ajaxCargarFuncionario(data)}" />
                        </h:commandLink>
                    </div>

                </h:form>
                <h:form id="msg" prependId="false" class="ui hidden message">
                    <h:inputHidden id="tipoMsg" value="#{funcionarioManBean.tipoMsg}" />
                    <i class="close icon"></i>
                    <div class="header">
                        <h:outputText id="cabeceraMsg" value="#{funcionarioManBean.cabeceraMsg}" />
                    </div>
                    <p><h:outputText id="cuerpoMsg" value="#{funcionarioManBean.cuerpoMsg}" />
                    </p>
                </h:form>
                <h:form prependId="false" id="dlg-conf-elim" class="ui basic modal">
                    <h:inputHidden id="selbar" value="#{funcionarioManBean.jsonSelecionFuncionario}"/>
                    <div class="ui icon header">
                        <i class="user icon"></i>
                        Eliminar Funcionarios
                    </div>
                    <div class="centered content">
                        <p>¿Desea eliminar los elementos seleccionados?</p>
                    </div>
                    <div class="actions">
                        <div class="ui basic cancel inverted icon button">
                            <i class="remove icon"></i>
                            Cancelar
                        </div>
                        <h:commandLink action="#{funcionarioManBean.eliminarFuncionario()}" class="ui inverted red icon button">
                            <i class="trash icon"></i>
                            Eliminar
                            <f:ajax execute="@form" render="tipoMsg cabeceraMsg cuerpoMsg tablafuncionario" onevent="function(data){ajaxEliminarFuncionarios(data)}" />
                        </h:commandLink>
                    </div>
                </h:form>
            </div>
        </div>
        <h:outputScript target="body" library="js" name="funcionarios/funcionarios.js" />
    </ui:define>
</ui:composition>